## prog.io
Class ConsoleOutputManager

    java.lang.Object
      prog.io.ConsoleOutputManager

    public class ConsoleOutputManager

extends java.lang.Object

Le sue istanze realizzano canali di comunicazione con il dispositivo di output standard, cioè con il video.

Version:
  2.0
Author:
  Mauro Ferrari, Giovanni Pighizzini

Constructor Summary
`ConsoleOutputManager()` Crea un canale di comunicazione in scrittura verso lo standard output.
`ConsoleOutputManager(java.lang.String nomeCanale)` Crea un canale di comunicazione in scrittura verso lo standard output e associa al canale il nome specificato come argomento.

Method Summary
`void` `close()` Chiude il canale di comunicazione.
`java.lang.String` `getNomeCanale()` Restituisce il nome del canale che esegue il metodo.
`boolean` `isClosed()` Per sapere se il canale è chiuso o aperto.
`void` `print(boolean b)` Scrive il valore booleano specificato come argomento.
`void` `print(char c)` Scrive il carattere specificato come argomento.
`void` `print(double d)` Scrive il floating point in doppia precisione specificato come argomento.
`void` `print(int i)` Scrive l'intero specificato come argomento.
`void` `print(long l)` Scrive il `long` specificato come argomento.
`void` `print(java.lang.Object o)` Scrive una rappresentazione dell'oggetto fornito come argomento.
`void` `print(java.lang.String s)` Scrive la stringa specificata come argomento.
`void` `printf(java.lang.String formato, java.lang.Object... args)` Stampa gli oggetti specificati come argomento utilizzando la stringa di formattazione specificata come primo argomento.
`void` `println()` Conclude la linea corrente e sposta il cursore a capo.
`void` `println(boolean b)` Scrive il valore booleano specificato come argomento e sposta il cursore a capo.
`void` `println(char c)` Scrive il carattere specificato come argomento e sposta il cursore a capo.
`void` `println(double d)` Scrive il floating point in doppia precisione specificato come argomento e sposta il cursore a capo.
`void` `println(int i)` Scrive l'intero specificato come argomento e sposta il cursore a capo.
`void` `println(long l)` Scrive il `long` specificato come argomento e sposta il cursore a capo.
`void` `println(java.lang.Object o)` Scrive l'oggetto specificato come argomento e sposta il cursore a capo.
`void` `println(java.lang.String s)` Scrive la stringa specificata come argomento e sposta il cursore a capo.
`java.lang.String` `prompt()` Restituisce la stringa del prompt.
`void` `setPrompt(java.lang.String prompt)` Per assegnare il prompt specificato dalla stringa `prompt` al canale corrente.
`void` `setVisibleLineNumber(boolean b)` Stabilisce se il prompt visualizzato conterrà o meno il numero di linea.
`void` `setVisibleNomeCanale(boolean b)` Stabilisce se il prompt visualizzato conterrà o meno il nome del canale.
`void` `setVisiblePrompt(boolean b)` Stabilisce se il prompt verrà o meno visualizzato.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsoleOutputManager

    public ConsoleOutputManager(java.lang.String nomeCanale)

  Crea un canale di comunicazione in scrittura verso lo standard output e associa al canale il nome specificato come argomento.

  Parameters:
    `nomeCanale` - il nome del canale.

### ConsoleOutputManager

    public ConsoleOutputManager()

  Crea un canale di comunicazione in scrittura verso lo standard output.

Method Detail

### setPrompt

    public void setPrompt(java.lang.String prompt)

  Per assegnare il prompt specificato dalla stringa `prompt` al canale corrente. Di default il prompt non viene visualizzato, per farlo visualizzare bisogna utilizzare il metodo `setVisiblePrompt(boolean)`.

  Parameters:
    `prompt` - il valore del prompt.

### setVisibleLineNumber

    public void setVisibleLineNumber(boolean b)

  Stabilisce se il prompt visualizzato conterrà o meno il numero di linea. Di default il numero di linea non viene visualizzato.

  Parameters:
    `b` - se vale `true` il numero di linea verrà visualizzato.

### setVisibleNomeCanale

    public void setVisibleNomeCanale(boolean b)

  Stabilisce se il prompt visualizzato conterrà o meno il nome del canale. Per default in nome del canale non viene visualizzato.

  Parameters:
    `b` - se vale `true` il nome del canale verrà visualizzato.

### setVisiblePrompt

    public void setVisiblePrompt(boolean b)

  Stabilisce se il prompt verrà o meno visualizzato. Di default il prompt non viene visualizzato.

  Parameters:
    `b` - se vale `true` il prompt verrà visualizzato.

### prompt

    public java.lang.String prompt()

  Restituisce la stringa del prompt.

  Returns:
    il valore del prompt.

### close

    public void close()

  Chiude il canale di comunicazione.

### isClosed

    public boolean isClosed()

  Per sapere se il canale è chiuso o aperto.

  Returns:
    restituisce `true` se e solo se il canale è chiuso.

### print

    public void print(boolean b)

  Scrive il valore booleano specificato come argomento.

  Parameters:
    `b` - il booleano da scrivere.

### print

    public void print(char c)

  Scrive il carattere specificato come argomento.

  Parameters:
    `c` - il carattere da scrivere.

### print

    public void print(int i)

  Scrive l'intero specificato come argomento.

  Parameters:
    `i` - l'intero da scrivere.

### print

    public void print(long l)

  Scrive il `long` specificato come argomento.

  Parameters:
    `l` - l'intero `long` da scrivere.

### print

    public void print(double d)

  Scrive il floating point in doppia precisione specificato come argomento.

  Parameters:
    `d` - il floating point in doppia precisione da scrivere.

### print

    public void print(java.lang.String s)

  Scrive la stringa specificata come argomento.

  Parameters:
    `s` - la stringa da scrivere.

### print

    public void print(java.lang.Object o)

  Scrive una rappresentazione dell'oggetto fornito come argomento. Se l'argomento è `null` allora viene stampata la stringa `"null"`, altrimenti viene stampato il risultato di `o.toString()`.

  Parameters:
    `o` - l'oggetto da scrivere.

### println

    public void println(boolean b)

  Scrive il valore booleano specificato come argomento e sposta il cursore a capo.

  Parameters:
    `b` - il booleano da scrivere.

### println

    public void println(char c)

  Scrive il carattere specificato come argomento e sposta il cursore a capo.

  Parameters:
    `c` - il carattere da scrivere.

### println

    public void println(int i)

  Scrive l'intero specificato come argomento e sposta il cursore a capo.

  Parameters:
    `i` - l'intero da scrivere.

### println

    public void println(long l)

  Scrive il `long` specificato come argomento e sposta il cursore a capo.

  Parameters:
    `l` - l'intero `long` da scrivere.

### println

    public void println(double d)

  Scrive il floating point in doppia precisione specificato come argomento e sposta il cursore a capo.

  Parameters:
    `d` - il floating point in doppia precisione da scrivere.

### println

    public void println(java.lang.String s)

  Scrive la stringa specificata come argomento e sposta il cursore a capo.

  Parameters:
    `s` - la stringa da scrivere.

### println

    public void println(java.lang.Object o)

  Scrive l'oggetto specificato come argomento e sposta il cursore a capo. Se l'argomento è `null` allora viene stampata la stringa `"null"`, altrimenti viene stampato il risultato di `o.toString()`.

  Parameters:
    `o` - l'oggetto da scrivere.

### println

    public void println()

  Conclude la linea corrente e sposta il cursore a capo.

### printf

    public void printf(java.lang.String formato,
                       java.lang.Object... args)

  Stampa gli oggetti specificati come argomento utilizzando la stringa di formattazione specificata come primo argomento.

  Parameters:
    `formato` - la stringa di formattazione.
    `args` - la lista degli oggetti da stampare.

### getNomeCanale

    public java.lang.String getNomeCanale()

  Restituisce il nome del canale che esegue il metodo.

  Returns:
    il nome del canale.